You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@stratos.apache.org by is...@apache.org on 2014/03/21 11:14:16 UTC

git commit: Copy MB client jar to stratos components

Repository: incubator-stratos
Updated Branches:
  refs/heads/master 6e1c4e92e -> 594acdd10


Copy MB client jar to stratos components

Signed-off-by: M. Isuru Tharanga Chrishantha Perera <is...@apache.org>


Project: http://git-wip-us.apache.org/repos/asf/incubator-stratos/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-stratos/commit/594acdd1
Tree: http://git-wip-us.apache.org/repos/asf/incubator-stratos/tree/594acdd1
Diff: http://git-wip-us.apache.org/repos/asf/incubator-stratos/diff/594acdd1

Branch: refs/heads/master
Commit: 594acdd103079dcb8a0ab9319a92ba3e2d4b046d
Parents: 6e1c4e9
Author: Dinesh Bandara <di...@wso2.com>
Authored: Fri Mar 21 14:37:48 2014 +0530
Committer: M. Isuru Tharanga Chrishantha Perera <is...@apache.org>
Committed: Fri Mar 21 15:44:02 2014 +0530

----------------------------------------------------------------------
 tools/stratos-installer/setup.sh | 17 +++++++++++++----
 1 file changed, 13 insertions(+), 4 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-stratos/blob/594acdd1/tools/stratos-installer/setup.sh
----------------------------------------------------------------------
diff --git a/tools/stratos-installer/setup.sh b/tools/stratos-installer/setup.sh
index 7c22229..e15617d 100755
--- a/tools/stratos-installer/setup.sh
+++ b/tools/stratos-installer/setup.sh
@@ -182,6 +182,15 @@ function general_conf_validate {
     fi
 }
 
+function andes_jar_validate {
+    if [[ ($cep = "true" || $cc = "true" || $as = "true" || $sm = "true") ]]; then
+        if [[ ! -f $andes_client_jar ]]; then
+            echo "Please copy the andes client jar into the same folder as this command(stratos release pack folder) and update conf/setup.conf file"
+            exit 1
+        fi
+    fi
+}
+
 function mb_conf_validate {
     if [[ -z $mb_path ]]; then
 	helpsetup MB
@@ -202,10 +211,6 @@ function cep_conf_validate {
         echo "Please copy the cep extension jar into the same folder as this command(stratos release pack folder) and update conf/setup.conf file"
         exit 1
     fi
-    if [[ ! -f $andes_client_jar ]]; then
-        echo "Please copy the andes client jar into the same folder as this command(stratos release pack folder) and update conf/setup.conf file"
-        exit 1
-    fi
 }
 
 function cc_conf_validate {
@@ -306,6 +311,7 @@ function sm_conf_validate {
 
 
 general_conf_validate
+andes_jar_validate
 if [[ $mb = "true" ]]; then
     mb_conf_validate
 fi
@@ -456,6 +462,7 @@ function cc_setup {
     cp -f ./config/cc/repository/conf/cloud-controller.xml $cc_path/repository/conf/
     cp -f ./config/cc/repository/conf/carbon.xml $cc_path/repository/conf/
     cp -f ./config/cc/repository/conf/jndi.properties $cc_path/repository/conf/
+    cp -f $andes_client_jar $cc_path/repository/components/dropins/
 
     echo "In repository/conf/cloud-controller.xml"
     if [[ $ec2_provider_enabled = true ]]; then
@@ -499,6 +506,7 @@ function as_setup {
     cp -f ./config/as/repository/conf/carbon.xml $as_path/repository/conf/
     cp -f ./config/as/repository/conf/jndi.properties $as_path/repository/conf/
     cp -f ./config/as/repository/conf/autoscaler.xml $as_path/repository/conf/
+    cp -f $andes_client_jar $as_path/repository/components/dropins/
 
     pushd $as_path
 
@@ -545,6 +553,7 @@ function sm_setup {
     cp -f ./config/sm/repository/conf/cartridge-config.properties $sm_path/repository/conf/
     cp -f ./config/sm/repository/conf/datasources/master-datasources.xml $sm_path/repository/conf/datasources/
     cp -f $mysql_connector_jar $sm_path/repository/components/lib/
+    cp -f $andes_client_jar $sm_path/repository/components/dropins/
 
     pushd $sm_path